#!/usr/bin/env zx

import { $, cd, fs, glob } from 'zx';

cd('../runtime');

await $`pnpm build:runtime`;
const declarationFiles = await glob('dist/runtime/*.d.ts');

let finalDeclarationFile = `/**
 * DO NOT EDIT
 * This file has been autogenerated by ./generate.mjs
 */

/* eslint-disable */

`;

for (const declarationFile of declarationFiles) {
  finalDeclarationFile += (await fs.readFile(declarationFile)).toString('utf-8').replace(/(export|import).*;/gm, '');
}

cd('../types');

await fs.writeFile('types.d.ts', finalDeclarationFile);
